/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.geronimo.samples.datacdinfo.beans;

import java.io.Serializable;
import java.util.Collection;

import javax.persistence.*;

/**
 * Demo how to code JPA entity bean, including various JPA annotations.
 * 
 *
 */

@Entity(name="Owner")
@Table(name = "OWNER_TABLE")
public class OwnerBean implements Serializable {
    /**
     * 
     */
    private static final long serialVersionUID = -7231801785238251943L;
    
    
    @Id
    @Column(name = "USERNAME", length=20)
    private String username;
    
    @Column(name = "PASSWORD", nullable=false, length=20)
    private String password;
    
    @OneToMany(mappedBy= "owner", 
            fetch=FetchType.LAZY,
            cascade=CascadeType.ALL)    
    @OrderBy("cdArchiveDate DESC")
    private Collection<DataCDBean> DataCDs;
    
    public OwnerBean(){
        
    }
    
    public OwnerBean(String userName, String password) {
        super();
        this.username = userName;
        this.password = password;
    }
    
    public String toString(){
        return "username:" + getUsername()
                + "\n password:" + getPassword();
    }
    
    public String getUsername() {
        return username;
    }
    public void setUsername(String userName) {
        this.username = userName;
    }
    public String getPassword() {
        return password;
    }
    public void setPassword(String password) {
        this.password = password;
    }

    public void setDataCDs(Collection<DataCDBean> dataCDs) {
        this.DataCDs = dataCDs;
    }

    public Collection<DataCDBean> getDataCDs() {
        return DataCDs;
    }

}
